
package com.ejie.ab61.clientesWS.X43TareasTramitacion;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TObjectType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TObjectType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *     &lt;enumeration value="taskData"/>
 *     &lt;enumeration value="taskTypeData"/>
 *     &lt;enumeration value="taskBusinessData"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "TObjectType")
@XmlEnum
public enum TObjectType {

    @XmlEnumValue("taskData")
    TASK_DATA("taskData"),
    @XmlEnumValue("taskTypeData")
    TASK_TYPE_DATA("taskTypeData"),
    @XmlEnumValue("taskBusinessData")
    TASK_BUSINESS_DATA("taskBusinessData");
    private final String value;

    TObjectType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TObjectType fromValue(String v) {
        for (TObjectType c: TObjectType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
